GCLOUD_COMPUTE_INSTANCE-GROUPS_UNMANAGED_LIST-INSTANCES(1)

NAME

gcloud compute instance-groups unmanaged list-instances - list instances present in the instance group

SYNOPSIS

gcloud compute instance-groups unmanaged list-instances NAME [--regexp REGEXP, -r REGEXP] [--zone ZONE] [--filter EXPRESSION] [--flatten [KEY,...]] [--limit LIMIT] [--page-size PAGE_SIZE] [--sort-by FIELDS] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups unmanaged list-instances list instances in an instance group.

POSITIONAL ARGUMENTS
NAME
    The name of the instance group.

FLAGS
--regexp REGEXP, -r REGEXP
    A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.
--zone ZONE
    The zone of the instance group to list instances in. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--flatten [KEY,...]
    Flatten name[] resource slices in KEY to separate records for each item in each slice. Multiple keys and slices may be specified. This also flattens keys for --format and --filter. For example, --flatten=abc.def[] flattens abc.def[].ghi references to abc.def.ghi.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--page-size PAGE_SIZE
    Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.
--sort-by FIELDS
    A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field.
--uri
    Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.